Skip to main content
GET
https://checkout.dintero.com/v1
/
admin
/
session
/
profiles
admin_session_profile_get
curl --request GET \
  --url https://checkout.dintero.com/v1/admin/session/profiles \
  --header 'x-api-key: <api-key>'
[
  {
    "created_at": "2023-11-07T05:31:56Z",
    "configuration": {
      "auto_capture": true,
      "channel": "ecommerce",
      "publish": [
        {
          "channel": "sms",
          "type": "checkout-link",
          "id": "<string>",
          "status": "sent"
        }
      ],
      "active_payment_types": {
        "enabled": true
      },
      "default_payment_type": "bambora.applepay",
      "bambora": {
        "type": "payment_type",
        "applepay": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable"
        },
        "creditcard": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "generate_payment_token": false
        },
        "googlepay": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable"
        },
        "mobilepay": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable"
        },
        "vipps": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable"
        }
      },
      "dintero": {
        "type": "payment_type",
        "wallets": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable"
        },
        "zero": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable"
        },
        "external": {
          "enabled": true,
          "display": {
            "payment_method_label": "<string>",
            "button_label": "<string>",
            "content": {
              "title": "<string>",
              "description": "<string>"
            },
            "terms": [
              {
                "ref": "<string>",
                "label": "<string>",
                "href": "<string>"
              }
            ]
          },
          "type": "payment_product_type",
          "payability": "payable"
        }
      },
      "dintero_psp": {
        "type": "payment_type",
        "creditcard": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "generate_payment_token": false,
          "token_supported_auth_methods": [
            "PASSKEY",
            "3DS"
          ],
          "sca_policy": {
            "network_exemptions": {
              "low_value": true,
              "low_risk": true
            },
            "liability_rules": [
              {
                "limit": [
                  {
                    "amount": 50000,
                    "currency": "NOK"
                  }
                ],
                "issuer_countries": [
                  "NO",
                  "SE",
                  "DK"
                ],
                "enabled": true
              }
            ]
          },
          "generate_payment_token_config": {
            "save_card_checkbox": "opt_in"
          }
        },
        "vipps": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "sca_policy": {
            "network_exemptions": {
              "low_value": true,
              "low_risk": true
            },
            "liability_rules": [
              {
                "limit": [
                  {
                    "amount": 50000,
                    "currency": "NOK"
                  }
                ],
                "issuer_countries": [
                  "NO",
                  "SE",
                  "DK"
                ],
                "enabled": true
              }
            ]
          }
        },
        "applepay": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "sca_policy": {
            "network_exemptions": {
              "low_value": true,
              "low_risk": true
            },
            "liability_rules": [
              {
                "limit": [
                  {
                    "amount": 50000,
                    "currency": "NOK"
                  }
                ],
                "issuer_countries": [
                  "NO",
                  "SE",
                  "DK"
                ],
                "enabled": true
              }
            ]
          },
          "details": {
            "domain_names": [
              "example.dintero.com"
            ],
            "token_event_notification_url": "<string>"
          }
        },
        "googlepay": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "sca_policy": {
            "network_exemptions": {
              "low_value": true,
              "low_risk": true
            },
            "liability_rules": [
              {
                "limit": [
                  {
                    "amount": 50000,
                    "currency": "NOK"
                  }
                ],
                "issuer_countries": [
                  "NO",
                  "SE",
                  "DK"
                ],
                "enabled": true
              }
            ]
          },
          "generate_payment_token": false
        },
        "clicktopay": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "generate_payment_token": false,
          "sca_policy": {
            "network_exemptions": {
              "low_value": true,
              "low_risk": true
            },
            "liability_rules": [
              {
                "limit": [
                  {
                    "amount": 50000,
                    "currency": "NOK"
                  }
                ],
                "issuer_countries": [
                  "NO",
                  "SE",
                  "DK"
                ],
                "enabled": true
              }
            ]
          }
        }
      },
      "instabank": {
        "finance": {
          "enabled": true,
          "payability": "payable",
          "product": {
            "product_code": "630",
            "minimum_monthly_balance_rate": "1.67",
            "origination_fee": 9500,
            "notification_fee": 3900,
            "loan_example": {
              "amount": 2500000,
              "years": 1,
              "total_amount": 2772300,
              "cost": 272300,
              "effective_annual_interest_rate": "21.38"
            },
            "annual_interest_rate": "0.0",
            "effective_annual_interest_rate": "0.0",
            "minimum_amount": 20000,
            "branding_image_url": "<string>"
          }
        },
        "invoice": {
          "enabled": true,
          "payability": "payable",
          "require_applicant": true,
          "product": {
            "product_code": "632",
            "due_in_days": 10,
            "invoice_fee": 9500,
            "require_applicant_amount": 7500000,
            "minimum_amount": 20000,
            "branding_image_url": "<string>"
          }
        },
        "installment": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "products": [
            {
              "product_code": "633",
              "credit_time": 36,
              "origination_fee": 9500,
              "notification_fee": 3900,
              "annual_interest_rate": "0.0",
              "minimum_amount": 20000,
              "effective_annual_interest_rate": "54.69",
              "total_amount": 309400,
              "monthly_amount": 100000,
              "first_monthly_amount": 109500,
              "require_applicant_amount": 2500000,
              "loan_example": {
                "amount": 2500000,
                "years": 1,
                "total_amount": 2772300,
                "cost": 272300,
                "effective_annual_interest_rate": "21.38"
              },
              "branding_image_url": "<string>"
            }
          ]
        },
        "postponement": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "products": [
            {
              "product_code": "633",
              "postponement_months": 36,
              "origination_fee": 9500,
              "annual_interest_rate": "0.0",
              "minimum_amount": 20000,
              "notification_fee": 3900,
              "effective_annual_interest_rate": "54.69",
              "total_amount": 309400,
              "require_applicant_amount": 2500000,
              "loan_example": {
                "amount": 2500000,
                "years": 1,
                "total_amount": 2772300,
                "cost": 272300,
                "effective_annual_interest_rate": "21.38"
              },
              "branding_image_url": "<string>"
            }
          ]
        }
      },
      "netaxept": {
        "type": "payment_type",
        "creditcard": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "terminal": {
            "terminal": "/Terminal/default.aspx",
            "terminal_single_page": true,
            "terminal_design": "<string>",
            "terminal_layout": "<string>"
          }
        }
      },
      "payex": {
        "dynamic_descriptor": "<string>",
        "swish": {
          "enabled": true,
          "payability": "payable"
        },
        "creditcard": {
          "enabled": true,
          "payability": "payable",
          "generate_payment_token": false,
          "generate_recurrence_token": false,
          "no_cvc": true
        },
        "mobilepay": {
          "enabled": true,
          "payability": "payable"
        },
        "vipps": {
          "enabled": true,
          "payability": "payable"
        },
        "applepay": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable"
        },
        "clicktopay": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable"
        },
        "googlepay": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable"
        }
      },
      "vipps": {
        "enabled": true,
        "payability": "payable",
        "dynamic_descriptor": "<string>"
      },
      "collector": {
        "type": "payment_type",
        "dynamic_descriptor": "<string>",
        "invoice": {
          "enabled": true,
          "type": "payment_product_type",
          "countries": [
            "<string>"
          ],
          "options": {
            "enable_on_hold": true
          },
          "payability": "payable"
        },
        "invoice_b2b": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "countries": [
            "<string>"
          ],
          "options": {
            "disable_collector_b2b_address_enforcement": false,
            "enable_on_hold": true
          }
        },
        "invoice_b2b_preapproved": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "countries": [
            "<string>"
          ],
          "accounts": [
            {
              "billing_address": {
                "business_name": "<string>",
                "organization_number": "<string>",
                "address_line": "<string>",
                "postal_code": "0349",
                "postal_place": "Oslo",
                "country": "NO",
                "phone_number": "<string>",
                "email": "<string>",
                "address_line_2": "<string>",
                "co_address": "<string>",
                "customer_reference": "<string>",
                "cost_center": "<string>",
                "first_name": "John",
                "last_name": "Doe",
                "address_id": "address_1"
              },
              "company_id": "<string>"
            }
          ]
        },
        "finance": {
          "enabled": true,
          "type": "payment_product_type",
          "countries": [
            "<string>"
          ],
          "payability": "payable"
        },
        "installment": {
          "enabled": true,
          "type": "payment_product_type",
          "countries": [
            "<string>"
          ],
          "options": {
            "enable_on_hold": true
          },
          "payability": "payable"
        }
      },
      "klarna": {
        "type": "payment_type",
        "klarna": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable"
        },
        "billie": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable"
        }
      },
      "kravia": {
        "type": "payment_type",
        "invoice_b2b": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "days_until_due": 182,
          "require_identity_verification": true,
          "invoice_channel": "kravia"
        },
        "invoice_b2b_grouped": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "invoice_schedule": {
            "interval": "monthly"
          },
          "days_until_due": 182.5,
          "require_identity_verification": true
        },
        "invoice_b2c": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "days_until_due": 182,
          "invoice_channel": "kravia",
          "require_identity_verification": true
        }
      },
      "two": {
        "type": "payment_type",
        "invoice_b2b": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "duration_days": 14
        }
      },
      "santander": {
        "type": "payment_type",
        "debit_account": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "branding_name": "<string>",
          "accounts": [
            {
              "account_number_token": "<string>",
              "masked_account_number": "<string>"
            }
          ]
        }
      },
      "seitatech": {
        "type": "payment_type",
        "in_person": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable"
        }
      },
      "swish": {
        "type": "payment_type",
        "swish": {
          "enabled": true,
          "type": "payment_product_type",
          "payability": "payable",
          "payout_enabled": true
        }
      },
      "payout": {
        "dynamic_payout_destination_ids": [
          {
            "type": "order_store_id",
            "order_store_id": "STORE_123",
            "order_payout_destination_id": "PD_123",
            "overwrite_payout_destination_id": false
          }
        ],
        "payment_products": [
          {
            "payment_product": "bambora"
          }
        ]
      },
      "allow_express_wallet_payment": false,
      "age_verification": {
        "enabled": true,
        "minimum_age_required": 18
      },
      "discounts": {
        "type": "discounts",
        "express_discount_codes": {
          "enabled": true,
          "payability": "payable"
        },
        "order": {
          "enabled": false
        }
      },
      "theme": {
        "backdrop": "<string>",
        "primary": "<string>",
        "cardRadius": "<string>",
        "buttonRadius": "<string>"
      },
      "countries": {
        "preferred_country": "<string>",
        "allow_countries": [
          "<string>"
        ],
        "deny_countries": [
          "<string>"
        ]
      },
      "default_customer_type": "b2c",
      "allow_different_billing_shipping_address": []
    },
    "description": "<string>",
    "created_by": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "url": {
      "merchant_terms_url": "https://example.com/terms.html"
    },
    "profile_id": "<string>",
    "merchant": {
      "name": "<string>",
      "logo_url": "<string>",
      "website": "<string>",
      "email": "<string>",
      "phone_number": "<string>",
      "merchant_category_code": "<string>",
      "platform_type": "aggregator",
      "country": "<string>",
      "postal_code": "<string>",
      "postal_place": "<string>",
      "address_line": "<string>",
      "address_line_2": "<string>"
    },
    "checkboxes": [
      {
        "id": "<string>",
        "label": "<string>",
        "checked": true,
        "required": true,
        "link": {
          "url": "<string>",
          "text": "Terms for checkbox action"
        }
      }
    ],
    "express": {
      "default_different_billing_shipping_address": []
    },
    "deleted_by": "<string>",
    "deleted_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

X-API-Key authentication for accessing admin endpoints. Use Create api-key to create a key.

The content of the header should look like the following:

x-api-key: {api_key}

Query Parameters

limit
integer
default:10

A limit on the number of objects to be returned. Limit can range between 1 and 100 items, and the default is 10 items.

Required range: 1 <= x <= 100
starting_after
string<checkout-id>

cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Response

Payment configuration

created_at
string<date-time>
required

Time when the resource was created

configuration
object
required
description
string
required

description of the profile

created_by
string
required
read-only

The user/client created the resource

updated_at
string<date-time>
required
read-only

Time when the resource was last updated

id
string

An ID that uniquely identifies the resource

url
object
profile_id
string

The profile_id you have defined for the profile. (must not have trailing or leading spaces) An auto-generated profile_id will be created if no profile_id is provided.

Maximum string length: 255
merchant
object

Configure merchant information used in the checkout.

checkboxes
object[]

Configuration for checkboxes that should be part of the checkout

Maximum array length: 2
express
object
deleted_by
string
read-only

The user/client deleted the resource

deleted_at
string<date-time>
read-only

Time when the resource was deleted

Last modified on May 12, 2026